0 Replies Latest reply on Apr 8, 2015 9:11 AM by Dal

    Problems running configuration wizard after upgrading NPM to v11.5 and to NTA 4.1

    Dal

      Hi.

      After upgrading NPM to v11.5 and NTA to v4.1, I get this error message when trying to run through the configuration wizard:

       

      Cannot upgrade NTA because the remote NTA Flow Storage Databases has not been upgraded yet.

      Upgrade the NTA Flow Storage Database on the appropriate server, and then upgrade NTA on this server.

       

      And now Orion does not want to start at all.

       

      I upgraded NTA first, and afterwards I see the warning in the release notes that NPM should be upgraded first.

      But the damage is done now, so how can it be corrected?

       

      I should be possible to start NPM even if something is wrong with NTA. NTA is, after all, just one module.

       

      Edit: It seems I had to run the NTA v4.1 installer on both servers, both the NPM server and the standalone NTA server (that was introduced after v4).

      After I did that, the configuration wizard ran through.

       

      But now I'm stuck with this cozy error message instead:

      There was no endpoint listening at net.tcp://orion:17777/orion/core/businesslayer that could accept the message. This is often caused by an incorrect address or SOAP action. See InnerException, if present, for more details.

       

      All services are running, and a server restart didn't help either.

       

      So now we are without monitoring just because a small upgrade. It shouldn't be this hard to upgrade a piece of software.

       

      Thanks,

      Øystein / Dal